/*
 * Class ITERABLE [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1791 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1791 [] = {0xFF01,1551,1790,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1791 [] = {0xFF01,1790,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1791 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1791 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1791 [] = {0xFF01,1790,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1791 [] = {0xFF01,1790,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1791 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1791 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1791 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1791 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1791 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1791 [] = {1790,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1791 [] = {0xFF01,1790,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1791 [] = {0xFF01,1788,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1791 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1791[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1791), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1791), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1791), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1791), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1791), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1791), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1791), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1791), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1791), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1791), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1791), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1791), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1791), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1791), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1791), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1791), -1, 0xFFFFFFFF},
};
void Init1791(void)
{
	IDSC(desc_1791, 0, 1790);
	IDSC(desc_1791 + 1, 1, 1790);
	IDSC(desc_1791 + 32, 1088, 1790);
}


#ifdef __cplusplus
}
#endif
